import { EventEmitter } from '../../../stencil-public-runtime';
import JustifiAnalytics from '../../../api/Analytics';
import { ComponentClickEvent, ComponentErrorEvent, ComponentSubmitEvent } from '../../../api/ComponentEvents';
import { CountryCode } from '../../../utils/country-codes';
export declare class JustifiPaymentProvisioning {
    loading: boolean;
    businessLoading: boolean;
    businessProvisioned: boolean;
    formSubmitted: boolean;
    submissionFailed: boolean;
    currentStep: number;
    errorMessage: string;
    country: CountryCode;
    businessId: string;
    authToken: string;
    allowOptionalFields?: boolean;
    formTitle?: string;
    propChanged(): void;
    clickEvent: EventEmitter<ComponentClickEvent>;
    errorEvent: EventEmitter<ComponentErrorEvent>;
    submitEvent: EventEmitter<ComponentSubmitEvent>;
    handleFormCompleted(): void;
    handleFormLoading(event: CustomEvent): void;
    analytics: JustifiAnalytics;
    private getBusiness;
    private postProvisioning;
    private refs;
    componentWillLoad(): Promise<void>;
    disconnectedCallback(): void;
    private initializeApi;
    setBusinessProvisioned: () => Promise<void>;
    postProvisioningData: () => void;
    get formDisabled(): boolean;
    get totalSteps(): number;
    get stepCounter(): string;
    incrementSteps: () => number;
    decrementSteps: () => void;
    previousStepButtonOnClick: () => void;
    nextStepButtonOnClick: (e: any, clickEventName: any) => void;
    render(): any;
}
